Package org.eclipse.cdt.utils.debug.stabs

# Class StabConstant

java.lang.Object
org.eclipse.cdt.utils.debug.stabs.StabConstant

public final class StabConstant extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`N_BCOMM`
`static final int`
`N_BINCL`
`static final int`
`N_BSLINE`
`static final int`
`N_CATCH`
`static final int`
`N_DEFD`
`static final int`
`N_DSLINE`
`static final int`
`N_ECOML`
`static final int`
`N_ECOMM`
`static final int`
`N_EHDECL`
`static final int`
`N_EINCL`
`static final int`
`N_ENDM`
`static final int`
`N_ENTRY`
`static final int`
`N_EXCL`
`static final int`
`N_FLINE`
`static final int`
`N_FNAME`
`static final int`
`N_FUN`
`static final int`
`N_GSYM`
`static final int`
`N_LBRAC`
`static final int`
`N_LCSYM`
`static final int`
`N_LSYM`
`static final int`
`N_M2C`
`static final int`
`N_MAIN`
`static final int`
`N_NBBSS`
`static final int`
`N_NBDATA`
`static final int`
`N_NBLCS`
`static final int`
`N_NBSTS`
`static final int`
`N_NBTEXT`
`static final int`
`N_NOMAP`
`static final int`
`N_NSYMS`
`static final int`
`N_OBJ`
`static final int`
`N_OPT`
`static final int`
`N_PC`
`static final int`
`N_PSYM`
`static final int`
`N_RBRAC`
`static final int`
`N_ROSYM`
`static final int`
`N_RSYM`
`static final int`
`N_SCOPE`
`static final int`
`N_SLINE`
`static final int`
`N_SO`
`static final int`
`N_SOL`
`static final int`
`N_SSYM`
`static final int`
`N_STSYM`
`static final int`
`N_UNDF`
`static final int`
`N_WITH`
`static final int`
`SIZE`
`static final int`
`SIZE_64`

## Constructor Summary

Constructors
Constructor
Description
`StabConstant()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`type2String(int t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### N_UNDF

public static final int N_UNDF

See Also:
  - Constant Field Values

### N_GSYM

public static final int N_GSYM

See Also:
  - Constant Field Values

### N_FNAME

public static final int N_FNAME

See Also:
  - Constant Field Values

### N_FUN

public static final int N_FUN

See Also:
  - Constant Field Values

### N_STSYM

public static final int N_STSYM

See Also:
  - Constant Field Values

### N_LCSYM

public static final int N_LCSYM

See Also:
  - Constant Field Values

### N_MAIN

public static final int N_MAIN

See Also:
  - Constant Field Values

### N_ROSYM

public static final int N_ROSYM

See Also:
  - Constant Field Values

### N_PC

public static final int N_PC

See Also:
  - Constant Field Values

### N_NSYMS

public static final int N_NSYMS

See Also:
  - Constant Field Values

### N_NOMAP

public static final int N_NOMAP

See Also:
  - Constant Field Values

### N_OBJ

public static final int N_OBJ

See Also:
  - Constant Field Values

### N_OPT

public static final int N_OPT

See Also:
  - Constant Field Values

### N_RSYM

public static final int N_RSYM

See Also:
  - Constant Field Values

### N_M2C

public static final int N_M2C

See Also:
  - Constant Field Values

### N_SLINE

public static final int N_SLINE

See Also:
  - Constant Field Values

### N_DSLINE

public static final int N_DSLINE

See Also:
  - Constant Field Values

### N_BSLINE

public static final int N_BSLINE

See Also:
  - Constant Field Values

### N_DEFD

public static final int N_DEFD

See Also:
  - Constant Field Values

### N_FLINE

public static final int N_FLINE

See Also:
  - Constant Field Values

### N_EHDECL

public static final int N_EHDECL

See Also:
  - Constant Field Values

### N_CATCH

public static final int N_CATCH

See Also:
  - Constant Field Values

### N_SSYM

public static final int N_SSYM

See Also:
  - Constant Field Values

### N_ENDM

public static final int N_ENDM

See Also:
  - Constant Field Values

### N_SO

public static final int N_SO

See Also:
  - Constant Field Values

### N_LSYM

public static final int N_LSYM

See Also:
  - Constant Field Values

### N_BINCL

public static final int N_BINCL

See Also:
  - Constant Field Values

### N_SOL

public static final int N_SOL

See Also:
  - Constant Field Values

### N_PSYM

public static final int N_PSYM

See Also:
  - Constant Field Values

### N_EINCL

public static final int N_EINCL

See Also:
  - Constant Field Values

### N_ENTRY

public static final int N_ENTRY

See Also:
  - Constant Field Values

### N_LBRAC

public static final int N_LBRAC

See Also:
  - Constant Field Values

### N_EXCL

public static final int N_EXCL

See Also:
  - Constant Field Values

### N_SCOPE

public static final int N_SCOPE

See Also:
  - Constant Field Values

### N_RBRAC

public static final int N_RBRAC

See Also:
  - Constant Field Values

### N_BCOMM

public static final int N_BCOMM

See Also:
  - Constant Field Values

### N_ECOMM

public static final int N_ECOMM

See Also:
  - Constant Field Values

### N_ECOML

public static final int N_ECOML

See Also:
  - Constant Field Values

### N_WITH

public static final int N_WITH

See Also:
  - Constant Field Values

### N_NBTEXT

public static final int N_NBTEXT

See Also:
  - Constant Field Values

### N_NBDATA

public static final int N_NBDATA

See Also:
  - Constant Field Values

### N_NBBSS

public static final int N_NBBSS

See Also:
  - Constant Field Values

### N_NBSTS

public static final int N_NBSTS

See Also:
  - Constant Field Values

### N_NBLCS

public static final int N_NBLCS

See Also:
  - Constant Field Values

### SIZE

public static final int SIZE

See Also:
  - Constant Field Values

### SIZE_64

public static final int SIZE_64

Since:
  5.2
See Also:
  - Constant Field Values

## Constructor Details

### StabConstant

public StabConstant()

## Method Details

### type2String

public static String type2String(int t)